Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1336728 - Review Request: mozjs45 - JavaScript interpreter and libraries
Summary: Review Request: mozjs45 - JavaScript interpreter and libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-17 10:28 UTC by Marek Skalický
Modified: 2016-07-18 18:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-18 18:29:12 UTC
Type: Bug
paulo.cesar.pereira.de.andrade: fedora-review+


Attachments (Terms of Use)

Description Marek Skalický 2016-05-17 10:28:09 UTC
Spec URL: https://mskalick.fedorapeople.org/mozjs45/mozjs45.spec
SRPM URL: https://mskalick.fedorapeople.org/mozjs45/mozjs45-45.1.1-1.fc23.src.rpm

Description: JavaScript is the Netscape-developed object scripting language used in millions of web pages and server applications worldwide. Netscape's JavaScript is a super set of the ECMA-262 Edition 3 (ECMAScript) standard scripting language, with only mild differences from the published standard.

Fedora Account System Username: mskalick

Comment 1 Paulo Andrade 2016-05-20 13:27:48 UTC
Since I maintain one mozjsXY and am co-maintainer of another,
I will review this mozjs45. I also may need it in the future.

Comment 2 Paulo Andrade 2016-05-20 14:51:36 UTC
  Most of it should be trivial, as the spec is matching the pattern
of mozjs{17,24,31,38}.

1)  I found it a bit weird this configure option
	--disable-optimize \
but noticed that CFLAGS and CXXFLAGS were still being correctly used,
but from reading the configure macros, if enabled it would just add
a redundant -O2. Is it related to patch2 (#1219542 shows an error
about nested functions too deep in optimization..)? Probably need some
notes about it.

2)  I noticed it is now built with a bundled/static jemalloc. Is it
patched? Should either have a "Provides: jemalloc-static", use the
system one or build with --disable-jemalloc.

3) Please fix the LICENSE file:
---8<---
$ cat 1336728-mozjs45/rpms-unpacked/mozjs45-45.1.1-1.fc24.x86_64.rpm/usr/share/licenses/mozjs45/LICENSE
Please see the file toolkit/content/license.html for the copyright licensing
conditions attached to this codebase, including copies of the licenses
concerned.

You are not granted rights or licenses to the trademarks of the
Mozilla Foundation or any party, including without limitation the
Firefox name or logo.

For more information, see: http://www.mozilla.org/foundation/licensing.html
---8<---
Also please check the partial fedora-review output below, and
comment about any missing entry in the License tag:
---8<---
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (4 clause) ISC", "LGPL (v2.1 or later) (with incorrect FSF
     address)", "*No copyright* BSL", "*No copyright* BSD", "LGPL (v2 or
     later) (with incorrect FSF address)", "*No copyright* MPL (v2.0)",
     "Apache (v2.0) BSD (2 clause)", "*No copyright* BSD (3 clause)",
     "Apache (v2.0) MPL (v2.0)", "AFL-3.0", "LGPL (v2.1)", "ISC", "GPL (v2
     or later)", "libpng MPL (v2.0)", "*No copyright* MIT/X11 (BSD like)",
     "*No copyright* LGPL (v2.1 or later)", "GPL (v3 or later)", "AFL-2.1",
     "Apache (v2.0) BSD (3 clause) MIT/X11 (BSD like)", "zlib/libpng",
     "BSL", "GPL (v2 or later) (with incorrect FSF address)", "BSD (2
     clause)", "*No copyright* Apache (v2.0)", "Apache (v2.0)", "FreeType",
     "BSD (3 clause) ISC", "*No copyright* MPL (v2.0) BSD (3 clause)", "*No
     copyright* Public domain MPL (v2.0)", "MIT/X11 (BSD like)", "MPL
     (v1.1)", "*No copyright* Public domain", "libpng", "LGPL", "BSD (3
     clause)", "*No copyright* MPL (v1.1) GPL (unversioned/unknown
     version)", "*No copyright* Beerware MPL (v2.0)", "MPL (v2.0)", "MPL
     (v2.0) BSD (3 clause)", "MPL (v2.0) MIT/X11 (BSD like) LGPL (v2.1 or
     later)", "GPL (v3)", "*No copyright* MPL (v2.0) BSD", "BSD (3 clause)
     GPL (v2)", "Unknown or generated", "BSD (4 clause)", "BSL (v1.0)",
     "MPL (v1.1) GPL (unversioned/unknown version)", "MPL (v2.0) MIT/X11
     (BSD like)", "Apache (v2.0) MIT/X11 (BSD like)", "LGPL (v2.1 or
     later)", "BSD (3 clause) MIT/X11 (BSD like)", "GPL (v2)", "MPL (v1.0)
     LGPL (v2 or later) (with incorrect FSF address)", "MPL (v2.0) BSD (2
     clause)". 30918 files have unknown license. Detailed output of
     licensecheck in /home/pcpa/1336728-mozjs45/licensecheck.txt
---8<---

Comment 3 Paulo Andrade 2016-05-20 15:09:52 UTC
An extra note, if bundling jemalloc, it should not be
Provides: jemalloc-static but something like, looks quite long :):
Provides: bundled(jemalloc) = 4.0.0-12-ged4883285e111b426e5769b24dad164ebacaa5b9
based on firefox-45.1.1esr/memory/jemalloc/src/VERSION

Comment 4 Marek Skalický 2016-05-23 11:56:56 UTC
Thanks Paulo for taking this review.

(In reply to Paulo Andrade from comment #2)
>   Most of it should be trivial, as the spec is matching the pattern
> of mozjs{17,24,31,38}.
> 
> 1)  I found it a bit weird this configure option
> 	--disable-optimize \
> but noticed that CFLAGS and CXXFLAGS were still being correctly used,
> but from reading the configure macros, if enabled it would just add
> a redundant -O2. Is it related to patch2 (#1219542 shows an error
> about nested functions too deep in optimization..)? Probably need some
> notes about it.

I think that --enable-optimize adds -O3 optimization. Maybe it is related to #1219542, however this optimization also caused tests regression in mozjs38 with newer gcc. With this option mozjs45 is also failing on ARM in koji.

> 
> 2)  I noticed it is now built with a bundled/static jemalloc. Is it
> patched? Should either have a "Provides: jemalloc-static", use the
> system one or build with --disable-jemalloc.

Since upstream does not allow to system jemalloc and Fedora firefox also uses bundled jemalloc, I decided to use bundled one.
So added Provides.

> 
> 3) Please fix the LICENSE file:
> ---8<---
> $ cat
> 1336728-mozjs45/rpms-unpacked/mozjs45-45.1.1-1.fc24.x86_64.rpm/usr/share/
> licenses/mozjs45/LICENSE
> Please see the file toolkit/content/license.html for the copyright licensing
> conditions attached to this codebase, including copies of the licenses
> concerned.
> 
> You are not granted rights or licenses to the trademarks of the
> Mozilla Foundation or any party, including without limitation the
> Firefox name or logo.
> 
> For more information, see: http://www.mozilla.org/foundation/licensing.html
> ---8<---
> Also please check the partial fedora-review output below, and
> comment about any missing entry in the License tag:
> ---8<---
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "BSD (4 clause) ISC", "LGPL (v2.1 or later) (with incorrect FSF
>      address)", "*No copyright* BSL", "*No copyright* BSD", "LGPL (v2 or
>      later) (with incorrect FSF address)", "*No copyright* MPL (v2.0)",
>      "Apache (v2.0) BSD (2 clause)", "*No copyright* BSD (3 clause)",
>      "Apache (v2.0) MPL (v2.0)", "AFL-3.0", "LGPL (v2.1)", "ISC", "GPL (v2
>      or later)", "libpng MPL (v2.0)", "*No copyright* MIT/X11 (BSD like)",
>      "*No copyright* LGPL (v2.1 or later)", "GPL (v3 or later)", "AFL-2.1",
>      "Apache (v2.0) BSD (3 clause) MIT/X11 (BSD like)", "zlib/libpng",
>      "BSL", "GPL (v2 or later) (with incorrect FSF address)", "BSD (2
>      clause)", "*No copyright* Apache (v2.0)", "Apache (v2.0)", "FreeType",
>      "BSD (3 clause) ISC", "*No copyright* MPL (v2.0) BSD (3 clause)", "*No
>      copyright* Public domain MPL (v2.0)", "MIT/X11 (BSD like)", "MPL
>      (v1.1)", "*No copyright* Public domain", "libpng", "LGPL", "BSD (3
>      clause)", "*No copyright* MPL (v1.1) GPL (unversioned/unknown
>      version)", "*No copyright* Beerware MPL (v2.0)", "MPL (v2.0)", "MPL
>      (v2.0) BSD (3 clause)", "MPL (v2.0) MIT/X11 (BSD like) LGPL (v2.1 or
>      later)", "GPL (v3)", "*No copyright* MPL (v2.0) BSD", "BSD (3 clause)
>      GPL (v2)", "Unknown or generated", "BSD (4 clause)", "BSL (v1.0)",
>      "MPL (v1.1) GPL (unversioned/unknown version)", "MPL (v2.0) MIT/X11
>      (BSD like)", "Apache (v2.0) MIT/X11 (BSD like)", "LGPL (v2.1 or
>      later)", "BSD (3 clause) MIT/X11 (BSD like)", "GPL (v2)", "MPL (v1.0)
>      LGPL (v2 or later) (with incorrect FSF address)", "MPL (v2.0) BSD (2
>      clause)". 30918 files have unknown license. Detailed output of
>      licensecheck in /home/pcpa/1336728-mozjs45/licensecheck.txt
> ---8<---

Added MPLv1.1 in License:
And %license now installs copy of MPLv2.0 license.

Is this what you thought about?



Spec URL: https://mskalick.fedorapeople.org/mozjs45/mozjs45.spec
SRPM URL: https://mskalick.fedorapeople.org/mozjs45/mozjs45-45.1.1-2.fc23.src.rpm

Comment 5 Paulo Andrade 2016-05-23 18:54:57 UTC
  Please correct package build before submitting, as it does
not work with:

%license %{SOURCE1}

as it will expand the full path:

error: File not found: /builddir/build/BUILDROOT/mozjs45-45.1.1-2.fc25.x86_64/builddir/build/SOURCES/LICENSE.txt

  Otherwise, the package is approved!

  Depending on if 0ad updates to use mozjs45, I would like to
also be a co-maintainer. So, I would like if you add me as
such.

Comment 7 Gwyn Ciesla 2016-05-25 15:45:33 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mozjs45

Comment 8 Fedora Update System 2016-05-27 12:57:53 UTC
mozjs45-45.1.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1515138bb9

Comment 9 Fedora Update System 2016-05-28 03:25:33 UTC
mozjs45-45.1.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1515138bb9

Comment 10 Fedora Update System 2016-05-30 11:59:35 UTC
mozjs45-45.1.1-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c6aef3b6c

Comment 11 Fedora Update System 2016-05-31 03:53:52 UTC
mozjs45-45.1.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c6aef3b6c

Comment 12 Fedora Update System 2016-07-05 10:11:48 UTC
mozjs45-45.1.1-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2ff587d77

Comment 13 Fedora Update System 2016-07-09 15:58:38 UTC
mozjs45-45.1.1-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2ff587d77

Comment 14 Fedora Update System 2016-07-18 18:29:10 UTC
mozjs45-45.1.1-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.